class CDebugWindow extends MovieClip
{
   var _traceText;
   function CDebugWindow()
   {
      super();
      _root._debugWindow = this;
      Key.addListener(this);
      this.HideLog();
   }
   function Trace(msg, tag)
   {
      this._traceText.text += msg + "\n";
   }
   function onKeyUp()
   {
      if(_global._dbgTraceEnabled && Key.isDown(17) && Key.isDown(16) && Key.getCode() == 33)
      {
         this.ToggleLog();
      }
   }
   function ShowLog()
   {
      this._visible = true;
   }
   function HideLog()
   {
      this._visible = false;
   }
   function ToggleLog()
   {
      this._visible = !this._visible;
   }
}
